<html>
<head>
<title>Ogre::Renderable Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Renderable Class Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Renderable" -->
<p>Abstract class defining the interface all renderable objects must implement.  
 <a href="classOgre_1_1Renderable.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Renderable:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Renderable__inherit__graph.gif" border="0" usemap="#Ogre_1_1Renderable_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Renderable_inherit__map" id="Ogre_1_1Renderable_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1BillboardChain.html" title="Allows the rendering of a chain of connected billboards." alt="" coords="244,5,385,35"/><area shape="rect" id="node7" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default..." alt="" coords="251,59,379,88"/><area shape="rect" id="node9" href="classOgre_1_1BorderRenderable.html" title="Class for rendering the border of a BorderPanelOverlayElement." alt="" coords="233,112,396,141"/><area shape="rect" id="node11" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi..." alt="" coords="261,165,368,195"/><area shape="rect" id="node15" href="classOgre_1_1InstanceBatch.html" title="InstanceBatch forms part of the new Instancing system This is an abstract class that must be derived ..." alt="" coords="244,219,385,248"/><area shape="rect" id="node27" href="classOgre_1_1ManualObject_1_1ManualObjectSection.html" title="Built, renderable section of geometry." alt="" coords="180,272,449,301"/><area shape="rect" id="node29" href="classOgre_1_1Node_1_1DebugRenderable.html" title="Inner class for displaying debug renderable for Node." alt="" coords="215,325,415,355"/><area shape="rect" id="node31" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay." alt="" coords="240,379,389,408"/><area shape="rect" id="node39" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces." alt="" coords="229,432,400,461"/><area shape="rect" id="node47" href="classOgre_1_1SimpleRenderable.html" title="Simple implementation of MovableObject and Renderable for single&#45;part custom objects." alt="" coords="233,485,396,515"/><area shape="rect" id="node55" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html" title="A GeometryBucket is a the lowest level bucket where geometry with the same vertex &amp; index format is s..." alt="" coords="188,539,441,568"/><area shape="rect" id="node57" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub&#45;parts of an Entity." alt="" coords="257,592,372,621"/><area shape="rect" id="node59" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html" title="Hook to the render queue." alt="" coords="203,645,427,675"/><area shape="rect" id="node5" href="classOgre_1_1RibbonTrail.html" title="Subclass of BillboardChain which automatically leaves a trail behind one or more Node instances..." alt="" coords="629,5,752,35"/><area shape="rect" id="node13" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered." alt="" coords="639,85,743,115"/><area shape="rect" id="node17" href="classOgre_1_1BaseInstanceBatchVTF.html" title="Instancing implementation using vertex texture through Vertex Texture Fetch (VTF) This implementation..." alt="" coords="592,139,789,168"/><area shape="rect" id="node23" href="classOgre_1_1InstanceBatchHW.html" title="This is technique requires true instancing hardware support." alt="" coords="608,192,773,221"/><area shape="rect" id="node25" href="classOgre_1_1InstanceBatchShader.html" title="This is the same technique the old &quot;InstancedGeometry&quot; implementation used (with improvements)." alt="" coords="600,245,781,275"/><area shape="rect" id="node19" href="classOgre_1_1InstanceBatchHW__VTF.html" title="Instancing implementation using vertex texture through Vertex Texture Fetch (VTF) and hardware instan..." alt="" coords="931,112,1128,141"/><area shape="rect" id="node21" href="classOgre_1_1InstanceBatchVTF.html" title="Ogre::InstanceBatchVTF" alt="" coords="947,165,1112,195"/><area shape="rect" id="node33" href="classOgre_1_1OverlayContainer.html" title="A 2D element which contains other OverlayElement instances." alt="" coords="612,299,769,328"/><area shape="rect" id="node37" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text." alt="" coords="589,352,792,381"/><area shape="rect" id="node35" href="classOgre_1_1PanelOverlayElement.html" title="OverlayElement representing a flat, single&#45;material (or transparent) panel which can contain other el..." alt="" coords="937,299,1121,328"/><area shape="rect" id="node41" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html" title="Nested class to allow entity shadows." alt="" coords="568,405,813,435"/><area shape="rect" id="node43" href="classOgre_1_1ManualObject_1_1ManualObjectSectionShadowRenderable.html" title="Nested class to allow shadows." alt="" coords="500,459,881,488"/><area shape="rect" id="node45" href="classOgre_1_1StaticGeometry_1_1LODBucket_1_1LODShadowRenderable.html" title="Nested class to allow shadows." alt="" coords="504,512,877,541"/><area shape="rect" id="node49" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html" title="A GeometryBucket is a the lowest level bucket where geometry with the same vertex &amp; index format is s..." alt="" coords="552,565,829,595"/><area shape="rect" id="node51" href="classOgre_1_1Rectangle2D.html" title="Allows the rendering of a simple 2D rectangle This class renders a simple 2D rectangle; this rectangl..." alt="" coords="624,619,757,648"/><area shape="rect" id="node53" href="classOgre_1_1WireBoundingBox.html" title="Allows the rendering of a wireframe bounding box." alt="" coords="609,672,772,701"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Renderable-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An internal class that should be used only by a render system for internal use.  <a href="classOgre_1_1Renderable_1_1RenderSystemData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Visitor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Renderable_1_1Visitor.html" title="Visitor object that can be used to iterate over a collection of Renderable instances abstractly...">Visitor</a> object that can be used to iterate over a collection of <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> instances abstractly.  <a href="classOgre_1_1Renderable_1_1Visitor.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#aed186856b59bf967f3188bfa70546957">Renderable</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#ae5a6101851f1e45229f7b4bc20a69815">~Renderable</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor needed as class has virtual methods.  <a href="#ae5a6101851f1e45229f7b4bc20a69815"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a7132944645c7b62d6b2bfff6a64fad31">getMaterial</a> (void) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a weak reference to the material this renderable object uses.  <a href="#a7132944645c7b62d6b2bfff6a64fad31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#aafcc80b06f8c74eaac3d35e72ca54842">getTechnique</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a pointer to the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> this renderable object uses.  <a href="#aafcc80b06f8c74eaac3d35e72ca54842"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a3621cee2a019e59d3671c1a204caf4c7">getRenderOperation</a> (<a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;op)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the render operation required to send this object to the frame buffer.  <a href="#a3621cee2a019e59d3671c1a204caf4c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#afcbf4cb36d5911a9d40a40c57e94f23b">preRender</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm, <a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *rsys)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called just prior to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> being rendered.  <a href="#afcbf4cb36d5911a9d40a40c57e94f23b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a77230eea8136b7c296cc0a5db1dba9ee">postRender</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm, <a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *rsys)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called immediately after the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> has been rendered.  <a href="#a77230eea8136b7c296cc0a5db1dba9ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a897d64f73a5e6ccc45d52a88e86392e1">getWorldTransforms</a> (<a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *xform) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the world transform matrix / matrices for this renderable object.  <a href="#a897d64f73a5e6ccc45d52a88e86392e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#ab6ecba3943f56182cddf3b3540afc760">getNumWorldTransforms</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of world transform matrices this renderable requires.  <a href="#ab6ecba3943f56182cddf3b3540afc760"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a4136ce4b9d3add5203339327015d872d">setUseIdentityProjection</a> (bool useIdentityProjection)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not to use an 'identity' projection.  <a href="#a4136ce4b9d3add5203339327015d872d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a2a8f061a5f322e0dae2fd6946fc2966f">getUseIdentityProjection</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not to use an 'identity' projection.  <a href="#a2a8f061a5f322e0dae2fd6946fc2966f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#ae53cff42a16304f582ef83ad3017d614">setUseIdentityView</a> (bool useIdentityView)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not to use an 'identity' view.  <a href="#ae53cff42a16304f582ef83ad3017d614"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a55df8c0a5347d589ee6ef7beaa38806e">getUseIdentityView</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not to use an 'identity' view.  <a href="#a55df8c0a5347d589ee6ef7beaa38806e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a32353addc2f1d02512314b5d1a53c5c1">getSquaredViewDepth</a> (const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the camera-relative squared depth of this renderable.  <a href="#a32353addc2f1d02512314b5d1a53c5c1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a91a5cc5e517b7c79fa510b9fdcc98691">getLights</a> (void) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a list of lights, ordered relative to how close they are to this renderable.  <a href="#a91a5cc5e517b7c79fa510b9fdcc98691"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a1ce8341c18f75ef0b6d818eceea5b2e2">getCastsShadows</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method which reports whether this renderable would normally cast a shadow.  <a href="#a1ce8341c18f75ef0b6d818eceea5b2e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a572c0331ef2ec650d56063fdc17435f5">setCustomParameter</a> (size_t index, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a custom parameter for this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, which may be used to drive calculations for this specific <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, like GPU program parameters.  <a href="#a572c0331ef2ec650d56063fdc17435f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a0c726a0326e8a7d9e80d030541b6bddf">removeCustomParameter</a> (size_t index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a custom value which is associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index.  <a href="#a0c726a0326e8a7d9e80d030541b6bddf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a1a5dee72d381a14b4af08754b10038ed">hasCustomParameter</a> (size_t index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks whether a custom value is associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index.  <a href="#a1a5dee72d381a14b4af08754b10038ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a7f5bd1dc9046cb31307ac53914c82fc9">getCustomParameter</a> (size_t index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the custom value associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index.  <a href="#a7f5bd1dc9046cb31307ac53914c82fc9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a42f520f7ba1c57e10130b81ed444affe">_updateCustomGpuParameter</a> (const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> &amp;constantEntry, <a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *params) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update a custom <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> constant which is derived from information only this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> knows.  <a href="#a42f520f7ba1c57e10130b81ed444affe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a2108dfc322953a7bd429be8b62811e56">setPolygonModeOverrideable</a> (bool override)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.  <a href="#a2108dfc322953a7bd429be8b62811e56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a723105bef101e2385747f214348984b5">getPolygonModeOverrideable</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.  <a href="#a723105bef101e2385747f214348984b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a75d842d22f196a307dec5a068709706b">setUserAny</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;anything)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#ab6c834f05d7ad973e22ef726461cfb18">getUserAny</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc">getUserObjectBindings</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return an instance of user objects binding associated with this class.  <a href="#a2ed9a2f3c1decac6286f8af974ce2ffc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#ab323ad1058e8a5b1a9863f5b97d3f2ad">getUserObjectBindings</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return an instance of user objects binding associated with this class.  <a href="#ab323ad1058e8a5b1a9863f5b97d3f2ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a3da8b6c45259fc0b6ed7b93e3044464c">getRenderSystemData</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> private data.  <a href="#a3da8b6c45259fc0b6ed7b93e3044464c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#af52784d34aa33c54516292a341058041">setRenderSystemData</a> (<a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a> *val) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> private data.  <a href="#af52784d34aa33c54516292a341058041"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; size_t, <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">CustomParameterMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">CustomParameterMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a7b91506fcf7007e1bf512dade4682731">mCustomParameters</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a4b7b701d41bfd85656829261cbcb3495">mPolygonModeOverrideable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a27ee15aed77a5bf84b2c3f80c060616e">mUseIdentityProjection</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a536d8ef571a7a177d94e8a6203bd0b35">mUseIdentityView</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#aadd56839affa1bd19ac783fe98a08d90">mUserObjectBindings</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a04ee4d7ea24443e1caee62c99add7956">mRenderSystemData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">User objects binding.  <a href="#a04ee4d7ea24443e1caee62c99add7956"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Abstract class defining the interface all renderable objects must implement. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This interface abstracts renderable discrete objects which will be queued in the render pipeline, grouped by material. Classes implementing this interface must be based on a single material, a single world matrix (or a collection of world matrices which are blended by weights), and must be renderable via a single render operation. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Note that deciding whether to put these objects in the rendering pipeline is done from the more specific classes e.g. entities. Only once it is decided that the specific class is to be rendered is the abstract version created (could be more than one per visible object) and pushed onto the rendering queue. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00062">62</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a91a88d44c3918d174c1d594f9a4c6736"></a><!-- doxytag: member="Ogre::Renderable::CustomParameterMap" ref="a91a88d44c3918d174c1d594f9a4c6736" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;size_t, <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&gt;::type <a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">Ogre::Renderable::CustomParameterMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00413">413</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aed186856b59bf967f3188bfa70546957"></a><!-- doxytag: member="Ogre::Renderable::Renderable" ref="aed186856b59bf967f3188bfa70546957" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Renderable.html#aed186856b59bf967f3188bfa70546957">Ogre::Renderable::Renderable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00072">72</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae5a6101851f1e45229f7b4bc20a69815"></a><!-- doxytag: member="Ogre::Renderable::~Renderable" ref="ae5a6101851f1e45229f7b4bc20a69815" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Renderable.html#ae5a6101851f1e45229f7b4bc20a69815">Ogre::Renderable::~Renderable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Virtual destructor needed as class has virtual methods. </p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00074">74</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a42f520f7ba1c57e10130b81ed444affe"></a><!-- doxytag: member="Ogre::Renderable::_updateCustomGpuParameter" ref="a42f520f7ba1c57e10130b81ed444affe" args="(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a42f520f7ba1c57e10130b81ed444affe">Ogre::Renderable::_updateCustomGpuParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>constantEntry</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update a custom <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> constant which is derived from information only this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> knows. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method allows a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to map in a custom GPU program parameter based on it's own data. This is represented by a GPU auto parameter of ACT_CUSTOM, and to allow there to be more than one of these per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, the 'data' field on the auto parameter will identify which parameter is being updated. The implementation of this method must identify the parameter being updated, and call a 'setConstant' method on the passed in <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> object, using the details provided in the incoming auto constant setting to identify the index at which to set the parameter. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>You do not need to override this method if you're using the standard sets of data associated with the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> as provided by setCustomParameter and getCustomParameter. By default, the implementation will map from the value indexed by the 'constantEntry.data' parameter to a value previously set by setCustomParameter. But custom Renderables are free to override this if they want, in any case. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">constantEntry</td><td>The auto constant entry referring to the parameter being updated </td></tr>
    <tr><td class="paramname">params</td><td>The parameters object which this method should call to set the updated parameters. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1SubEntity.html#a271214f0a12235cbd2ced91f9f2d28d3">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00306">306</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1GpuProgramParameters.html#af9e29d2087c860156de6792405b679d4">Ogre::GpuProgramParameters::_writeRawConstant()</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l01101">Ogre::GpuProgramParameters::AutoConstantEntry::data</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l01098">Ogre::GpuProgramParameters::AutoConstantEntry::elementCount</a>, and <a class="el" href="OgreGpuProgramParams_8h_source.html#l01094">Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex</a>.</p>

</div>
</div>
<a class="anchor" id="a1ce8341c18f75ef0b6d818eceea5b2e2"></a><!-- doxytag: member="Ogre::Renderable::getCastsShadows" ref="a1ce8341c18f75ef0b6d818eceea5b2e2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Renderable.html#a1ce8341c18f75ef0b6d818eceea5b2e2">Ogre::Renderable::getCastsShadows</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method which reports whether this renderable would normally cast a shadow. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Subclasses should override this if they could have been used to generate a shadow. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html#ad5b5cceb81f7cdbd6c1a8ad9c5a61674">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#a136135cd7ce9c03fd996d57fdc99350c">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#a6c88fc74259edbf600cab80d61c3aae1">Ogre::StaticGeometry::GeometryBucket</a>, and <a class="el" href="classOgre_1_1SubEntity.html#a5ae272c24e46eee8264303694c861a7f">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00223">223</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f5bd1dc9046cb31307ac53914c82fc9"></a><!-- doxytag: member="Ogre::Renderable::getCustomParameter" ref="a7f5bd1dc9046cb31307ac53914c82fc9" args="(size_t index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#a7f5bd1dc9046cb31307ac53914c82fc9">Ogre::Renderable::getCustomParameter</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the custom value associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">@see</td><td>setCustomParameter for full details. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00267">267</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00114">Ogre::Exception::ERR_ITEM_NOT_FOUND</a>.</p>

</div>
</div>
<a class="anchor" id="a91a5cc5e517b7c79fa510b9fdcc98691"></a><!-- doxytag: member="Ogre::Renderable::getLights" ref="a91a5cc5e517b7c79fa510b9fdcc98691" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#a91a5cc5e517b7c79fa510b9fdcc98691">Ogre::Renderable::getLights</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets a list of lights, ordered relative to how close they are to this renderable. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Directional lights, which have no position, will always be first on this list. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardSet.html#a2bd12c7b7fe8ac02fc15e3505936b142">Ogre::BillboardSet</a>, <a class="el" href="classOgre_1_1Frustum.html#a884bc5282b161fc1652533564b5f3f8a">Ogre::Frustum</a>, <a class="el" href="classOgre_1_1OverlayElement.html#a5c74b565888104abe9270726994164a2">Ogre::OverlayElement</a>, <a class="el" href="classOgre_1_1ManualObject_1_1ManualObjectSection.html#a71139cedfbe4c8b6da11e12086ae7767">Ogre::ManualObject::ManualObjectSection</a>, <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html#a15f04886619fe227aa5a80708f0c4832">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="classOgre_1_1BorderRenderable.html#a831563919d777961136da1c706d70ecf">Ogre::BorderRenderable</a>, <a class="el" href="group__Scene.html#gab31500ee5c14b35b39b0817c89b29cba">Ogre::InstanceBatch</a>, <a class="el" href="classOgre_1_1BillboardChain.html#aa13038809d227e88ed77343789d5b4b8">Ogre::BillboardChain</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#a25eb7477b690a73743ea5c735a9aa3f6">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#a7082c43fd02d40dee89b55b947044d64">Ogre::StaticGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1SubEntity.html#afec0d041841e85ce49b515c22f34dc4a">Ogre::SubEntity</a>, <a class="el" href="classOgre_1_1Node_1_1DebugRenderable.html#ad970e302c845d9c6ae4ec3da5a2d377c">Ogre::Node::DebugRenderable</a>, <a class="el" href="classOgre_1_1SimpleRenderable.html#ab0a4a704310d2845d562b2eb2e88777b">Ogre::SimpleRenderable</a>, and <a class="el" href="classOgre_1_1ShadowRenderable.html#a5a3b65ee917444b4a29ca69486d55229">Ogre::ShadowRenderable</a>.</p>

</div>
</div>
<a class="anchor" id="a7132944645c7b62d6b2bfff6a64fad31"></a><!-- doxytag: member="Ogre::Renderable::getMaterial" ref="a7132944645c7b62d6b2bfff6a64fad31" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#a7132944645c7b62d6b2bfff6a64fad31">Ogre::Renderable::getMaterial</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a weak reference to the material this renderable object uses. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Note that the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> also has the option to override the getTechnique method to specify a particular <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> to use instead of the best one available. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardSet.html#a3cf9ae9d45b83cd611b4b33008826933">Ogre::BillboardSet</a>, <a class="el" href="classOgre_1_1Frustum.html#adb2197c68d7ba876428c8125df305d6d">Ogre::Frustum</a>, <a class="el" href="classOgre_1_1ManualObject_1_1ManualObjectSection.html#a7162c76b015f0f412c92245cf4b78e58">Ogre::ManualObject::ManualObjectSection</a>, <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html#ae2f06f8753cfc20bdfa3c5213b2e862c">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="classOgre_1_1BorderRenderable.html#aef8b202f737aba7a64db266fd92583a2">Ogre::BorderRenderable</a>, <a class="el" href="group__Scene.html#gab5a57df175de5461bf23b384831493c3">Ogre::InstanceBatch</a>, <a class="el" href="classOgre_1_1OverlayElement.html#a6ea6b328e71660bd3fc2d0c6a7afb65e">Ogre::OverlayElement</a>, <a class="el" href="classOgre_1_1BillboardChain.html#a44bd03aa46c026a41e39e8f8c4f6c71b">Ogre::BillboardChain</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#a887ca8baad86006b34e1256d0f0dc966">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#ac2a7c335895373aea87bfb9df75a780d">Ogre::StaticGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1SubEntity.html#a093781afef6332ef21fb05dd7818ecae">Ogre::SubEntity</a>, <a class="el" href="classOgre_1_1Node_1_1DebugRenderable.html#a1123cf77aae3c55cd48be22753a59c72">Ogre::Node::DebugRenderable</a>, <a class="el" href="classOgre_1_1SimpleRenderable.html#a82f91962b1b00135dc2510ee0a36e3c8">Ogre::SimpleRenderable</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement.html#ad78aa43801144133f95e21e528f9178b">Ogre::TextAreaOverlayElement</a>, and <a class="el" href="classOgre_1_1ShadowRenderable.html#af314cc202a2b7c3dcf4dd3dc9432346e">Ogre::ShadowRenderable</a>.</p>

</div>
</div>
<a class="anchor" id="ab6ecba3943f56182cddf3b3540afc760"></a><!-- doxytag: member="Ogre::Renderable::getNumWorldTransforms" ref="ab6ecba3943f56182cddf3b3540afc760" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short <a class="el" href="classOgre_1_1Renderable.html#ab6ecba3943f56182cddf3b3540afc760">Ogre::Renderable::getNumWorldTransforms</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the number of world transform matrices this renderable requires. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>When a renderable uses vertex blending, it uses multiple world matrices instead of a single one. Each vertex sent to the pipeline can reference one or more matrices in this list with given weights. If a renderable does not use vertex blending this method returns 1, which is the default for simplicity. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1BorderRenderable.html#ab1b34c4ec0b24e6cc3ff71f9979639c8">Ogre::BorderRenderable</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#a75e60811f40b80d8b5063c5726f17a8e">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1SubEntity.html#a487d0eb60081f28c8a347ac8d036a133">Ogre::SubEntity</a>, <a class="el" href="group__Scene.html#ga5eb44bfa609945e5116ef99fcd28b42b">Ogre::BaseInstanceBatchVTF</a>, <a class="el" href="group__Scene.html#ga7fdcf2175d880dabc7c2cdabe927c9d0">Ogre::InstanceBatchHW</a>, and <a class="el" href="group__Scene.html#gab8ec3bf026d7586ec4af63c768d22b21">Ogre::InstanceBatchShader</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00152">152</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a723105bef101e2385747f214348984b5"></a><!-- doxytag: member="Ogre::Renderable::getPolygonModeOverrideable" ref="a723105bef101e2385747f214348984b5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Renderable.html#a723105bef101e2385747f214348984b5">Ogre::Renderable::getPolygonModeOverrideable</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1BorderRenderable.html#a0019a2f8bd469ca970f13ff6f0c24ee7">Ogre::BorderRenderable</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00331">331</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3621cee2a019e59d3671c1a204caf4c7"></a><!-- doxytag: member="Ogre::Renderable::getRenderOperation" ref="a3621cee2a019e59d3671c1a204caf4c7" args="(RenderOperation &amp;op)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a3621cee2a019e59d3671c1a204caf4c7">Ogre::Renderable::getRenderOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;&#160;</td>
          <td class="paramname"><em>op</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the render operation required to send this object to the frame buffer. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardSet.html#a337b67f8d397c8c42a038cebe5f84b48">Ogre::BillboardSet</a>, <a class="el" href="classOgre_1_1Frustum.html#ac5c36a072555e23b20d4039ef1895cd7">Ogre::Frustum</a>, <a class="el" href="classOgre_1_1ManualObject_1_1ManualObjectSection.html#a677a42144e3342df0de20bff9892bbfc">Ogre::ManualObject::ManualObjectSection</a>, <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html#aba1e81827eddae2afcf751f893a83f4f">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="classOgre_1_1BorderRenderable.html#aff78b58d992411bed6aa1670fdb4b871">Ogre::BorderRenderable</a>, <a class="el" href="group__Scene.html#gadcb91b7c109b3b4b74504b7dd5f7a13d">Ogre::InstanceBatch</a>, <a class="el" href="classOgre_1_1BillboardChain.html#a21555a72ccbad1a4845c80529e2ebd1e">Ogre::BillboardChain</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#a443a670d4074e562338ad668d5c5b0fc">Ogre::StaticGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1SubEntity.html#a816f4c356b83e1b4f9d6e3058d5ee9dd">Ogre::SubEntity</a>, <a class="el" href="classOgre_1_1Node_1_1DebugRenderable.html#a9f268ab9bb393670ea6cd46b666c5bfa">Ogre::Node::DebugRenderable</a>, <a class="el" href="classOgre_1_1PanelOverlayElement.html#a92fd1f38c3e1038a1bf9aa74ca7affa8">Ogre::PanelOverlayElement</a>, <a class="el" href="classOgre_1_1SimpleRenderable.html#a51c5ae135793c602557d46be10c59b8d">Ogre::SimpleRenderable</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement.html#a2b6859ea5a0984c568296922f555e7e3">Ogre::TextAreaOverlayElement</a>, and <a class="el" href="classOgre_1_1ShadowRenderable.html#a36d3d1a31ec2661d66faa4675391ed25">Ogre::ShadowRenderable</a>.</p>

</div>
</div>
<a class="anchor" id="a3da8b6c45259fc0b6ed7b93e3044464c"></a><!-- doxytag: member="Ogre::Renderable::getRenderSystemData" ref="a3da8b6c45259fc0b6ed7b93e3044464c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a>* <a class="el" href="classOgre_1_1Renderable.html#a3da8b6c45259fc0b6ed7b93e3044464c">Ogre::Renderable::getRenderSystemData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> private data. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This should only be used by a <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00398">398</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a32353addc2f1d02512314b5d1a53c5c1"></a><!-- doxytag: member="Ogre::Renderable::getSquaredViewDepth" ref="a32353addc2f1d02512314b5d1a53c5c1" args="(const Camera *cam) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Renderable.html#a32353addc2f1d02512314b5d1a53c5c1">Ogre::Renderable::getSquaredViewDepth</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the camera-relative squared depth of this renderable. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Used to sort transparent objects. Squared depth is used rather than actual depth to avoid having to perform a square root on the result. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardSet.html#ac14826c9099227834c726e3717a8a100">Ogre::BillboardSet</a>, <a class="el" href="classOgre_1_1Frustum.html#a3edbcbbdbc8be9bf5e58516249183d44">Ogre::Frustum</a>, <a class="el" href="classOgre_1_1OverlayElement.html#a19d352bfdd2208dd99a3715eafc430b5">Ogre::OverlayElement</a>, <a class="el" href="classOgre_1_1ManualObject_1_1ManualObjectSection.html#aa590507a4669ad83d2c3f6fa60285da9">Ogre::ManualObject::ManualObjectSection</a>, <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html#a7770fa4942c84473c693ef0469daabd0">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="classOgre_1_1BorderRenderable.html#a630c2fbc8906a3987162cf33543d97cc">Ogre::BorderRenderable</a>, <a class="el" href="group__Scene.html#gaf083a5bebb8008fecfd2e763e22d2096">Ogre::InstanceBatch</a>, <a class="el" href="classOgre_1_1BillboardChain.html#ab41b300297c7a5804a2f52b8df400a16">Ogre::BillboardChain</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#a8312a30293e1e500ed842b929f68fb8f">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#ad208d0d9fa6cd294bbdafe7b9cf82e4a">Ogre::StaticGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1SubEntity.html#ac01490b3b6d938bf20f7fd2c62fe7151">Ogre::SubEntity</a>, <a class="el" href="classOgre_1_1Node_1_1DebugRenderable.html#ab6a9dadcf84043c2b3e3dab238612a98">Ogre::Node::DebugRenderable</a>, <a class="el" href="classOgre_1_1Rectangle2D.html#ac2929fd03989ca91ea28749bed43442a">Ogre::Rectangle2D</a>, <a class="el" href="classOgre_1_1WireBoundingBox.html#ab3479421119f52c00a8b9223d5061d73">Ogre::WireBoundingBox</a>, and <a class="el" href="classOgre_1_1ShadowRenderable.html#a0095fe3c8590580bb2b2176e5f279615">Ogre::ShadowRenderable</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00166">Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00223">Ogre::QueuedRenderableCollection::RadixSortFunctorDistance::operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="aafcc80b06f8c74eaac3d35e72ca54842"></a><!-- doxytag: member="Ogre::Renderable::getTechnique" ref="aafcc80b06f8c74eaac3d35e72ca54842" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1Renderable.html#aafcc80b06f8c74eaac3d35e72ca54842">Ogre::Renderable::getTechnique</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a pointer to the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> this renderable object uses. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is to allow Renderables to use a chosen <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> if they wish, otherwise they will use the best <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> available for the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> they are using. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html#a160337745c71798a84afa1b24eb1ed31">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="group__Scene.html#gad9ff4a4cc1f47bf54938280b381078cf">Ogre::InstanceBatch</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#a613c0b348906e65b0c93b858fbd47b40">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#acefb31cfffc808d28b6e2e10e821d79a">Ogre::StaticGeometry::GeometryBucket</a>, and <a class="el" href="classOgre_1_1SubEntity.html#aa03a93d06b05ab2c0064ec41dcdd05e4">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00093">93</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2a8f061a5f322e0dae2fd6946fc2966f"></a><!-- doxytag: member="Ogre::Renderable::getUseIdentityProjection" ref="a2a8f061a5f322e0dae2fd6946fc2966f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a2a8f061a5f322e0dae2fd6946fc2966f">Ogre::Renderable::getUseIdentityProjection</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not to use an 'identity' projection. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a projection matrix as determined by the active camera. However, if they want they can cancel this out and use an identity projection, which effectively projects in 2D using a {-1, 1} view space. Useful for overlay rendering. Normal renderables need not change this. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#a4136ce4b9d3add5203339327015d872d" title="Sets whether or not to use an &#39;identity&#39; projection.">Renderable::setUseIdentityProjection</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00177">177</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a55df8c0a5347d589ee6ef7beaa38806e"></a><!-- doxytag: member="Ogre::Renderable::getUseIdentityView" ref="a55df8c0a5347d589ee6ef7beaa38806e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a55df8c0a5347d589ee6ef7beaa38806e">Ogre::Renderable::getUseIdentityView</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not to use an 'identity' view. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a view matrix as determined by the active camera. However, if they want they can cancel this out and use an identity matrix, which means all geometry is assumed to be relative to camera space already. Useful for overlay rendering. Normal renderables need not change this. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#ae53cff42a16304f582ef83ad3017d614" title="Sets whether or not to use an &#39;identity&#39; view.">Renderable::setUseIdentityView</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00202">202</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab6c834f05d7ad973e22ef726461cfb18"></a><!-- doxytag: member="Ogre::Renderable::getUserAny" ref="ab6c834f05d7ad973e22ef726461cfb18" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1Any.html">Any</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#ab6c834f05d7ad973e22ef726461cfb18">Ogre::Renderable::getUserAny</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000006">Deprecated:</a></b></dt><dd>use <a class="el" href="classOgre_1_1UserObjectBindings.html#a9c4b12b7ceeddd3a6f28dae1ac8d09a2" title="Retrieves the custom key less user object associated with this class.">UserObjectBindings::getUserAny</a> via <a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc" title="Return an instance of user objects binding associated with this class.">getUserObjectBindings()</a> instead.</dd></dl>
<p>Retrieves the custom user value associated with this object. </p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00348">348</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2ed9a2f3c1decac6286f8af974ce2ffc"></a><!-- doxytag: member="Ogre::Renderable::getUserObjectBindings" ref="a2ed9a2f3c1decac6286f8af974ce2ffc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc">Ogre::Renderable::getUserObjectBindings</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return an instance of user objects binding associated with this class. </p>
<p>You can use it to associate one or more custom objects with this class instance. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1UserObjectBindings.html#ac6d05bbca44c5c3b44860c36205f9a68" title="Sets any kind of user object on this class instance.">UserObjectBindings::setUserAny</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00354">354</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab323ad1058e8a5b1a9863f5b97d3f2ad"></a><!-- doxytag: member="Ogre::Renderable::getUserObjectBindings" ref="ab323ad1058e8a5b1a9863f5b97d3f2ad" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc">Ogre::Renderable::getUserObjectBindings</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return an instance of user objects binding associated with this class. </p>
<p>You can use it to associate one or more custom objects with this class instance. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1UserObjectBindings.html#ac6d05bbca44c5c3b44860c36205f9a68" title="Sets any kind of user object on this class instance.">UserObjectBindings::setUserAny</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00360">360</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a897d64f73a5e6ccc45d52a88e86392e1"></a><!-- doxytag: member="Ogre::Renderable::getWorldTransforms" ref="a897d64f73a5e6ccc45d52a88e86392e1" args="(Matrix4 *xform) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a897d64f73a5e6ccc45d52a88e86392e1">Ogre::Renderable::getWorldTransforms</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&#160;</td>
          <td class="paramname"><em>xform</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the world transform matrix / matrices for this renderable object. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If the object has any derived transforms, these are expected to be up to date as long as all the <a class="el" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a> structures have been updated before this is called. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method will populate transform with 1 matrix if it does not use vertex blending. If it does use vertex blending it will fill the passed in pointer with an array of matrices, the length being the value returned from getNumWorldTransforms. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>Internal <a class="el" href="namespaceOgre.html">Ogre</a> never supports non-affine matrix for world transform matrix/matrices, the behavior is undefined if returns non-affine matrix here. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Matrix4.html#a582b20b912ed7d7f8f179505dfbe7a4e" title="Check whether or not the matrix is affine matrix.">Matrix4::isAffine</a>. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardSet.html#a3267fcd79d2fa55fd0de8a54f61b0960">Ogre::BillboardSet</a>, <a class="el" href="classOgre_1_1Frustum.html#a2c56bf79518bcfdb99eabfa6cd29e0cc">Ogre::Frustum</a>, <a class="el" href="classOgre_1_1ManualObject_1_1ManualObjectSectionShadowRenderable.html#a982d2993717e8f2d84631fc3ddf8ffe7">Ogre::ManualObject::ManualObjectSectionShadowRenderable</a>, <a class="el" href="classOgre_1_1ManualObject_1_1ManualObjectSection.html#abe6ea69bc69b2e4373c7309d5e0fad79">Ogre::ManualObject::ManualObjectSection</a>, <a class="el" href="classOgre_1_1Camera.html#a2f615f4bd8bca4889aec69a92d9afdb0">Ogre::Camera</a>, <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html#a208fffcc69ee7688384dcdd2a2d30ea8">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#a3913118191fcc5618caa4b70d5cfb232">Ogre::Entity::EntityShadowRenderable</a>, <a class="el" href="classOgre_1_1BorderRenderable.html#a47bb4b1a99634b7360a35d5f53f26c9c">Ogre::BorderRenderable</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket_1_1LODShadowRenderable.html#a583c488ed9fd6673163b33ca28cb3178">Ogre::StaticGeometry::LODBucket::LODShadowRenderable</a>, <a class="el" href="classOgre_1_1OverlayElement.html#a4d06487dd0c9e5ca06e1c5a3e6021913">Ogre::OverlayElement</a>, <a class="el" href="classOgre_1_1BillboardChain.html#ab4be1897977f9ba621e8b1558a86896a">Ogre::BillboardChain</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#a807039a645de90d80fd3f23fc0367aca">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#a50414e852eb2a31b74c762ed3e83b281">Ogre::StaticGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1SubEntity.html#a5f07c8b73ea37bf109ed0d9eeacca843">Ogre::SubEntity</a>, <a class="el" href="group__Scene.html#ga4dd36fb30153091091ed398b58cd846f">Ogre::BaseInstanceBatchVTF</a>, <a class="el" href="classOgre_1_1Node_1_1DebugRenderable.html#a503ce00c24b6831547b91b39fed639ab">Ogre::Node::DebugRenderable</a>, <a class="el" href="group__Scene.html#ga55cb642ec4d95e0089d6d4c98101dc14">Ogre::InstanceBatchHW</a>, <a class="el" href="group__Scene.html#gaefa2dcc928ecfe806e98e79731df428e">Ogre::InstanceBatchShader</a>, <a class="el" href="classOgre_1_1SimpleRenderable.html#a964088b75dbc139a35d4698a21f72cbe">Ogre::SimpleRenderable</a>, <a class="el" href="classOgre_1_1ShadowRenderable.html#a3ec300ee9b2531c6f8a6330fd029e50b">Ogre::ShadowRenderable</a>, <a class="el" href="classOgre_1_1Rectangle2D.html#a00a2d8d5e033d1199713a6057ce40d78">Ogre::Rectangle2D</a>, and <a class="el" href="classOgre_1_1WireBoundingBox.html#a685c62170e7c065ce4fff94686b65803">Ogre::WireBoundingBox</a>.</p>

</div>
</div>
<a class="anchor" id="a1a5dee72d381a14b4af08754b10038ed"></a><!-- doxytag: member="Ogre::Renderable::hasCustomParameter" ref="a1a5dee72d381a14b4af08754b10038ed" args="(size_t index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a1a5dee72d381a14b4af08754b10038ed">Ogre::Renderable::hasCustomParameter</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Checks whether a custom value is associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">@see</td><td>setCustomParameter for full details. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00258">258</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a77230eea8136b7c296cc0a5db1dba9ee"></a><!-- doxytag: member="Ogre::Renderable::postRender" ref="a77230eea8136b7c296cc0a5db1dba9ee" args="(SceneManager *sm, RenderSystem *rsys)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a77230eea8136b7c296cc0a5db1dba9ee">Ogre::Renderable::postRender</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td>
          <td class="paramname"><em>rsys</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called immediately after the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> has been rendered. </p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00127">127</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="afcbf4cb36d5911a9d40a40c57e94f23b"></a><!-- doxytag: member="Ogre::Renderable::preRender" ref="afcbf4cb36d5911a9d40a40c57e94f23b" args="(SceneManager *sm, RenderSystem *rsys)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Renderable.html#afcbf4cb36d5911a9d40a40c57e94f23b">Ogre::Renderable::preRender</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td>
          <td class="paramname"><em>rsys</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called just prior to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> being rendered. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>OGRE is a queued renderer, so the actual render commands are executed at a later time than the point at which an object is discovered to be visible. This allows ordering &amp; grouping of renders without the discovery process having to be aware of it. It also means OGRE uses declarative render information rather than immediate mode rendering - this is very useful in that certain effects and processes can automatically be applied to a wide range of scenes, but the downside is that special cases are more difficult to handle, because there is not the declared state to cope with it. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method allows a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to do something special at the actual point of rendering if it wishes to. When this method is called, all the material render state as declared by this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> has already been set, all that is left to do is to bind the buffers and perform the render. The <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> may modify render state itself if it wants to (and restore it in the postRender call) before the automated render happens, or by returning 'false' from this method can actually suppress the automatic render and perform one of its own. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the automatic render should proceed, false to skip it on the assumption that the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> has done it manually. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00122">122</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0c726a0326e8a7d9e80d030541b6bddf"></a><!-- doxytag: member="Ogre::Renderable::removeCustomParameter" ref="a0c726a0326e8a7d9e80d030541b6bddf" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Renderable.html#a0c726a0326e8a7d9e80d030541b6bddf">Ogre::Renderable::removeCustomParameter</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes a custom value which is associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">@see</td><td>setCustomParameter for full details. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00249">249</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a572c0331ef2ec650d56063fdc17435f5"></a><!-- doxytag: member="Ogre::Renderable::setCustomParameter" ref="a572c0331ef2ec650d56063fdc17435f5" args="(size_t index, const Vector4 &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Renderable.html#a572c0331ef2ec650d56063fdc17435f5">Ogre::Renderable::setCustomParameter</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets a custom parameter for this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, which may be used to drive calculations for this specific <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, like GPU program parameters. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Calling this method simply associates a numeric index with a 4-dimensional value for this specific <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. This is most useful if the material which this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> uses a vertex or fragment program, and has an ACT_CUSTOM parameter entry. This parameter entry can refer to the index you specify as part of this call, thereby mapping a custom parameter for this renderable to a program parameter. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>The index with which to associate the value. Note that this does not have to start at 0, and can include gaps. It also has no direct correlation with a GPU program parameter index - the mapping between the two is performed by the ACT_CUSTOM entry, if that is used. </td></tr>
    <tr><td class="paramname">value</td><td>The value to associate. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00240">240</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2108dfc322953a7bd429be8b62811e56"></a><!-- doxytag: member="Ogre::Renderable::setPolygonModeOverrideable" ref="a2108dfc322953a7bd429be8b62811e56" args="(bool override)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a2108dfc322953a7bd429be8b62811e56">Ogre::Renderable::setPolygonModeOverrideable</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>override</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">override</td><td>true means that a lower camera detail will override this renderables detail level, false means it won't. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00323">323</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="af52784d34aa33c54516292a341058041"></a><!-- doxytag: member="Ogre::Renderable::setRenderSystemData" ref="af52784d34aa33c54516292a341058041" args="(RenderSystemData *val) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#af52784d34aa33c54516292a341058041">Ogre::Renderable::setRenderSystemData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a> *&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> private data. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This should only be used by a <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00406">406</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4136ce4b9d3add5203339327015d872d"></a><!-- doxytag: member="Ogre::Renderable::setUseIdentityProjection" ref="a4136ce4b9d3add5203339327015d872d" args="(bool useIdentityProjection)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Renderable.html#a4136ce4b9d3add5203339327015d872d">Ogre::Renderable::setUseIdentityProjection</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useIdentityProjection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not to use an 'identity' projection. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a projection matrix as determined by the active camera. However, if they want they can cancel this out and use an identity projection, which effectively projects in 2D using a {-1, 1} view space. Useful for overlay rendering. Normal renderables need not change this. The default is false. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#a2a8f061a5f322e0dae2fd6946fc2966f" title="Returns whether or not to use an &#39;identity&#39; projection.">Renderable::getUseIdentityProjection</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00163">163</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae53cff42a16304f582ef83ad3017d614"></a><!-- doxytag: member="Ogre::Renderable::setUseIdentityView" ref="ae53cff42a16304f582ef83ad3017d614" args="(bool useIdentityView)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Renderable.html#ae53cff42a16304f582ef83ad3017d614">Ogre::Renderable::setUseIdentityView</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useIdentityView</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not to use an 'identity' view. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a view matrix as determined by the active camera. However, if they want they can cancel this out and use an identity matrix, which means all geometry is assumed to be relative to camera space already. Useful for overlay rendering. Normal renderables need not change this. The default is false. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#a55df8c0a5347d589ee6ef7beaa38806e" title="Returns whether or not to use an &#39;identity&#39; view.">Renderable::getUseIdentityView</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00188">188</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a75d842d22f196a307dec5a068709706b"></a><!-- doxytag: member="Ogre::Renderable::setUserAny" ref="a75d842d22f196a307dec5a068709706b" args="(const Any &amp;anything)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a75d842d22f196a307dec5a068709706b">Ogre::Renderable::setUserAny</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>anything</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000005">Deprecated:</a></b></dt><dd>use <a class="el" href="classOgre_1_1UserObjectBindings.html#ac6d05bbca44c5c3b44860c36205f9a68" title="Sets any kind of user object on this class instance.">UserObjectBindings::setUserAny</a> via <a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc" title="Return an instance of user objects binding associated with this class.">getUserObjectBindings()</a> instead.</dd></dl>
<p>Sets any kind of user value on this object. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method allows you to associate any user value you like with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. This can be a pointer back to one of your own classes for instance. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00343">343</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a7b91506fcf7007e1bf512dade4682731"></a><!-- doxytag: member="Ogre::Renderable::mCustomParameters" ref="a7b91506fcf7007e1bf512dade4682731" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">CustomParameterMap</a> <a class="el" href="classOgre_1_1Renderable.html#a7b91506fcf7007e1bf512dade4682731">Ogre::Renderable::mCustomParameters</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00414">414</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b7b701d41bfd85656829261cbcb3495"></a><!-- doxytag: member="Ogre::Renderable::mPolygonModeOverrideable" ref="a4b7b701d41bfd85656829261cbcb3495" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a4b7b701d41bfd85656829261cbcb3495">Ogre::Renderable::mPolygonModeOverrideable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00415">415</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04ee4d7ea24443e1caee62c99add7956"></a><!-- doxytag: member="Ogre::Renderable::mRenderSystemData" ref="a04ee4d7ea24443e1caee62c99add7956" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a>* <a class="el" href="classOgre_1_1Renderable.html#a04ee4d7ea24443e1caee62c99add7956">Ogre::Renderable::mRenderSystemData</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>User objects binding. </p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00419">419</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a27ee15aed77a5bf84b2c3f80c060616e"></a><!-- doxytag: member="Ogre::Renderable::mUseIdentityProjection" ref="a27ee15aed77a5bf84b2c3f80c060616e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a27ee15aed77a5bf84b2c3f80c060616e">Ogre::Renderable::mUseIdentityProjection</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00416">416</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a536d8ef571a7a177d94e8a6203bd0b35"></a><!-- doxytag: member="Ogre::Renderable::mUseIdentityView" ref="a536d8ef571a7a177d94e8a6203bd0b35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a536d8ef571a7a177d94e8a6203bd0b35">Ogre::Renderable::mUseIdentityView</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00417">417</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="aadd56839affa1bd19ac783fe98a08d90"></a><!-- doxytag: member="Ogre::Renderable::mUserObjectBindings" ref="aadd56839affa1bd19ac783fe98a08d90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a> <a class="el" href="classOgre_1_1Renderable.html#aadd56839affa1bd19ac783fe98a08d90">Ogre::Renderable::mUserObjectBindings</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00418">418</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
